/* adv05.c: Adv770 - copyright Mike Arnautov 2022. Licensed under
 * GPL (version 3 or later) or the Modified BSD Licence, whichever
 * is asserted by the supplied LICENCE file.*/

#include "adv0.h"
#include "adv3.h"
int p2()
{
   if (p3() || loop) return 0;
   if (p4() || loop) return 0;
   if (p5() || loop) return 0;
   if (p6() || loop) return 0;
   if (p7() || loop) return 0;
   if (p8() || loop) return 0;
   return 1;
}
int p141()
{
   if (p142() || loop) return 0;
   if (p143() || loop) return 0;
   if (p144() || loop) return 0;
   if (p145() || loop) return 0;
   return 1;
}
int p229()
{
   if (p230() || loop) return 0;
   if (p231() || loop) return 0;
   return 1;
}
int p259()
{
   if (p260() || loop) return 0;
   if (p261() || loop) return 0;
   return 1;
}
int p262()
{
   if (p263() || loop) return 0;
   if (p264() || loop) return 0;
   if (p265() || loop) return 0;
   if (p266() || loop) return 0;
   if (p267() || loop) return 0;
   if (p268() || loop) return 0;
   return 1;
}
int p275()
{
   if (p276() || loop) return 0;
   if (p277() || loop) return 0;
   if (p278() || loop) return 0;
   if (p279() || loop) return 0;
   if (p280() || loop) return 0;
   if (p281() || loop) return 0;
   if (p282() || loop) return 0;
   if (p283() || loop) return 0;
   if (p284() || loop) return 0;
   if (p285() || loop) return 0;
   if (p286() || loop) return 0;
   if (p287() || loop) return 0;
   if (p288() || loop) return 0;
   if (p289() || loop) return 0;
   if (p290() || loop) return 0;
   if (p291() || loop) return 0;
   return 1;
}
int p302()
{
   if (p303() || loop) return 0;
   if (p304() || loop) return 0;
   return 1;
}
int p309()
{
   if (p310() || loop) return 0;
   if (p311() || loop) return 0;
   if (p312() || loop) return 0;
   if (p313() || loop) return 0;
   if (p314() || loop) return 0;
   if (p315() || loop) return 0;
   if (p316() || loop) return 0;
   if (p317() || loop) return 0;
   return 1;
}
int p318()
{
   if (p319() || loop) return 0;
   if (p320() || loop) return 0;
   return 1;
}
int p326()
{
   if (p327() || loop) return 0;
   if (p328() || loop) return 0;
   return 1;
}
int p366()
{
   if (p367() || loop) return 0;
   if (p368() || loop) return 0;
   if (p369() || loop) return 0;
   if (p370() || loop) return 0;
   if (p371() || loop) return 0;
   if (p372() || loop) return 0;
   return 1;
}
int p385()
{
   if (p386() || loop) return 0;
   if (p387() || loop) return 0;
   if (p388() || loop) return 0;
   if (p389() || loop) return 0;
   return 1;
}
int p639()
{
   if (p640() || loop) return 0;
   if (p641() || loop) return 0;
   if (p642() || loop) return 0;
   if (p643() || loop) return 0;
   if (p644() || loop) return 0;
   if (p645() || loop) return 0;
   if (p646() || loop) return 0;
   if (p647() || loop) return 0;
   if (p648() || loop) return 0;
   if (p649() || loop) return 0;
   if (p650() || loop) return 0;
   if (p651() || loop) return 0;
   return 1;
}
int p734()
{
   if (p735() || loop) return 0;
   if (p736() || loop) return 0;
   if (p737() || loop) return 0;
   if (p738() || loop) return 0;
   if (p739() || loop) return 0;
   return 1;
}
int p837()
{
   if (p838() || loop) return 0;
   if (p839() || loop) return 0;
   if (p840() || loop) return 0;
   if (p841() || loop) return 0;
   if (p842() || loop) return 0;
   if (p843() || loop) return 0;
   if (p844() || loop) return 0;
   if (p845() || loop) return 0;
   if (p846() || loop) return 0;
   return 1;
}
int p895()
{
   if (p896() || loop) return 0;
   if (p897() || loop) return 0;
   if (p898() || loop) return 0;
   return 1;
}
int p907()
{
   if (p908() || loop) return 0;
   if (p909() || loop) return 0;
   if (p910() || loop) return 0;
   return 1;
}
int p0(void)
{return 0;}
